Bug 1264797 - When running kubectl version, kubernetes-1.0.3 returns 1.1.0 instead of 1.0.3
When running kubectl version, kubernetes-1.0.3 returns 1.1.0 instead of 1.0.3
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kubernetes (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Chaloupka
atomic-bugs@redhat.com
: Extras, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 04:55 EDT by Jan Chaloupka
Modified: 2016-10-04 00:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: kubernetes-1.0.3-0.3.gitb9a88a7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-22 09:37:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-09-21 04:55:41 EDT
+++ This bug was initially created as a clone of Bug #1263783 +++

Description of problem:
When running kubectl version, kubernetes-1.0.6 returns 1.1.0 instead of 1.0.6

Version-Release number of selected component (if applicable):
kubernetes-1.0.3-0.1.gitb9a88a7.el7

How reproducible:
Always

Steps to Reproduce:
1. install etcd, kubernetes-master and kubernetes-client
2. # systemctl start etcd; systemctl start kube-apiserver
3. $ kubectl version

Actual results:
Client Version: version.Info{Major:"1", Minor:"1+", GitVersion:"v1.1.0-alpha.0.1909+280b66c9012c21", GitCommit:"b9a88a7d0e357be2174011dd2b127038c6ea8929", GitTreeState:"clean"}
Server Version: version.Info{Major:"1", Minor:"1+", GitVersion:"v1.1.0-alpha.0.1909+280b66c9012c21", GitCommit:"b9a88a7d0e357be2174011dd2b127038c6ea8929", GitTreeState:"clean"}

Expected results:
Client Version: version.Info{Major:"1", Minor:"0+", GitVersion:"v1.0.3", GitCommit:"61c6ac5f350253a4dc002aee97b7db7ff01ee4ca", GitTreeState:"clean"}
Server Version: version.Info{Major:"1", Minor:"0+", GitVersion:"v1.0.3", GitCommit:"61c6ac5f350253a4dc002aee97b7db7ff01ee4ca", GitTreeState:"clean"}


Additional info:
It is a spec only fix

Note You need to log in before you can comment on or make changes to this bug.